QT       += core gui network
QT       += charts

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    main.cpp \
    src/base/base.cpp \
    src/chart/chart_file.cpp \
    src/login/login_switch.cpp \
    src/message/message_dialog.cpp \
    src/model_select/model_select.cpp \
    src/page_main/page_main.cpp \
    src/taijia/sensor/sensor.cpp

HEADERS += \
    src/base/base.h \
    src/chart/chart_file.h \
    src/login/login_switch.h \
    src/message/message_dialog.h \
    src/model_select/model_select.h \
    src/page_main/page_main.h \
    src/taijia/sensor/sensor.h

FORMS += \
    src/chart/chart_file.ui \
    src/login/login_switch.ui \
    src/message/message_dialog.ui \
    src/model_select/model_select.ui \
    src/page_main/page_main.ui \
    src/taijia/sensor/sensor.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
